org.rrd4j.graph

## Class ImageParameters

- java.lang.Object
- - org.rrd4j.graph.ImageParameters

-     class ImageParameters
      extends Object

  Container for image rendering parameters in RRD graphs. Stores dimensions, value ranges, scaling factors, and other rendering configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) double` | `base` Base for unit scaling calculations
    `(package private) double` | `decimals` Number of decimal places for formatting
    `(package private) long` | `end` Start and end timestamps for graph range
    `(package private) java.util.function.DoubleUnaryOperator` | `log` Logarithmic function for log-scale graphs
    `(package private) double` | `magfact` Magnitude factor for unit scaling
    `(package private) double` | `maxval` Minimum and maximum values for y-axis range
    `(package private) double` | `minval` Minimum and maximum values for y-axis range
    `(package private) int` | `quadrant` Quadrant for MRTG-style scaling
    `(package private) double` | `scaledstep` Scaled step size for axis calculations
    `(package private) long` | `start` Start and end timestamps for graph range
    `(package private) char` | `symbol` SI unit symbol character
    `(package private) int` | `unitsexponent` Unit exponent for SI unit scaling
    `(package private) int` | `unitslength` Length available for unit labels
    `(package private) int` | `xgif` Total image dimensions
    `(package private) int` | `xorigin` Origin coordinates for graph plotting area
    `(package private) int` | `xsize` Graph dimensions
    `(package private) int` | `ygif` Total image dimensions
    `(package private) double` | `ygridstep` Step size for y-axis grid lines
    `(package private) int` | `ylabfact` Label factor for y-axis
    `(package private) int` | `yorigin` Origin coordinates for graph plotting area
    `(package private) int` | `ysize` Graph dimensions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageParameters()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### base

          double base

      Base for unit scaling calculations

    - #### decimals

          double decimals

      Number of decimal places for formatting

    - #### end

          long end

      Start and end timestamps for graph range

    - #### log

          java.util.function.DoubleUnaryOperator log

      Logarithmic function for log-scale graphs

    - #### magfact

          double magfact

      Magnitude factor for unit scaling

    - #### maxval

          double maxval

      Minimum and maximum values for y-axis range

    - #### minval

          double minval

      Minimum and maximum values for y-axis range

    - #### quadrant

          int quadrant

      Quadrant for MRTG-style scaling

    - #### scaledstep

          double scaledstep

      Scaled step size for axis calculations

    - #### start

          long start

      Start and end timestamps for graph range

    - #### symbol

          char symbol

      SI unit symbol character

    - #### unitsexponent

          int unitsexponent

      Unit exponent for SI unit scaling

    - #### unitslength

          int unitslength

      Length available for unit labels

    - #### xgif

          int xgif

      Total image dimensions

    - #### xorigin

          int xorigin

      Origin coordinates for graph plotting area

    - #### xsize

          int xsize

      Graph dimensions

    - #### ygif

          int ygif

      Total image dimensions

    - #### ygridstep

          double ygridstep

      Step size for y-axis grid lines

    - #### ylabfact

          int ylabfact

      Label factor for y-axis

    - #### yorigin

          int yorigin

      Origin coordinates for graph plotting area

    - #### ysize

          int ysize

      Graph dimensions

  - ### Constructor Detail

    - #### ImageParameters

          ImageParameters()